/*
// Created by Lucile on 10/04/2021.
*/

#ifndef INSAGAMETEST_TEST_WINDOW_H
#define INSAGAMETEST_TEST_WINDOW_H

#include <gtest/gtest.h>
extern "C"{
#include "window.h"
}

TEST(test_init_window,test_level_LEVEL){
    int times = 500000000;
    Window window;
    init_window(&window,4,4,LEVEL);
    EXPECT_EQ(4, window.level);
    EXPECT_EQ(4,window.time);
    EXPECT_EQ(LEVEL,window.id_window);
    while (times > 0) times--;
}

TEST(test_init_window,test_level_NONLEVEL){
    int times = 500000000;
    Window window;
    init_window(&window,4,4,INTRO_PAGE);
    EXPECT_EQ(-1, window.level);
    EXPECT_EQ(-1,window.time);
    EXPECT_EQ(INTRO_PAGE,window.id_window);
    while (times > 0) times--;
}

#endif /*INSAGAMETEST_TEST_WINDOW_H*/
